<?php

$thisfile = basename(__FILE__, ".php");
register_plugin(
	$thisfile,
	'EditThisPage',
	'0.1 beta',
	'Carlos Navarro',
	'http://www.cyberiada.org/cnb/',
	'Add "EditThis" link to pages',
	'template',
	'editthispage'
);

define('EDITTHISPAGE','Edit this page!'); // Link text

add_action('content-top','editthispage'); // Edit link before page content. 
add_action('content-bottom','editthispage'); // Edit link after page content. 

add_action('logout','editthispage_off');
add_action('pages-sidebar','editthispage_sidebar');
add_action('settings-sidebar','editthispage_sidebar');

include('editthispage/editthispage_functions.php');

function editthispage() {
	if(editthispage_check()) {
		global $SITEURL;
		echo '<div class="editthispage"><a href="'.$SITEURL.'admin/edit.php?id='.return_page_slug().'">'.EDITTHISPAGE.'</a></div>'."\n";
	}
}

function editthispage_sidebar() {
	echo '<li><a href="../plugins/editthispage/editthispage_switch.php">';
	echo !editthispage_check() ? 'Enable' : 'Disable';
	echo ' EditThisPage</a></li>'."\n";
}


?>